#include "logic.h"
#include "install.h"
#include "pack.h"

bool CMainLogic::run(const CmdResult& result)
{
    switch (result.mode) {
    case 0: {
        CPackBinary pack;
        return pack.startPack(result);
    }
    case 1: {
        CInstallBinary install;
        return install.startInstall(result);
    }

    default:
        return false;
    }
}